Recommended update for lttng-modules

SUSE Recommended Update: Recommended update for lttng-modules
Announcement ID: SUSE-RU-2020:0479-1
Rating: moderate
References: #1134331 #1134335 #1134344
Affected Products:
  • SUSE Linux Enterprise Server 12-SP5

An update that has three recommended fixes can now be installed.

Description:

This update for lttng-modules provides the following fixes:

  • Update lttng to match kernel-source changes to wakeup kcompactd even if kswapd cannot free more memory.
  • Fix general protection fault. (bsc#1134344)
  • Fix a migration scenario from RT 12-SP3 to 12-SP4 or 12-SP5. (bsc#1134335)
  • Fix a workqueue lockup. (bsc#1134331)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 12-SP5:
    zypper in -t patch SUSE-SLE-SERVER-12-SP5-2020-479=1

Package List:

  • SUSE Linux Enterprise Server 12-SP5 (x86_64):
    • lttng-modules-2.10.9-8.3.13
    • lttng-modules-debugsource-2.10.9-8.3.13
    • lttng-modules-kmp-default-2.10.9_k4.12.14_122.12-8.3.13
    • lttng-modules-kmp-default-debuginfo-2.10.9_k4.12.14_122.12-8.3.13

References: